<mat-horizontal-stepper [linear]="true">
  <mat-step *ngFor="let e of sortEvents()">
    <ng-template matStepLabel>{{e.name}}</ng-template>
    <app-select-seat [(ticketList)]="ticketList" *ngIf="e.id" [eventId]="e.id" [(changePrice)]="changePrice"></app-select-seat>
  </mat-step>
  <mat-step>
    <ng-template matStepLabel>Confirm reservation</ng-template>
    <app-confirm-reservation [(tickets)]="ticketList" [allSingleEvents]="events" [event]="event" [totalPrice]="totalPrice" ></app-confirm-reservation>
  </mat-step>
</mat-horizontal-stepper>
